Bug 66148

Summary: Replace == comparison with epsilon aware roughlyEquals for LayoutUnits
Product: WebKit Reporter: Emil A Eklund <eae>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED INVALID    
Severity: Normal CC: ap, hyatt, leviw, simon.fraser
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 63656    

Description Emil A Eklund 2011-08-12 11:01:13 PDT
Once we move to float we can no longer safely use == to compare two LayoutUnits.
Comment 1 Alexey Proskuryakov 2011-08-12 21:10:51 PDT
So, are we decided that we move to floats, not to fixed precision numbers?

Rough equality has a number of highly undesirable features - it's not transitive, it breaks with zoom etc.
Comment 2 Emil A Eklund 2011-08-15 10:22:02 PDT
No firm decision yet, we have a prototype running on trunk that we are running a set of tests against to see if it's feasible to use floats throughout and help us discover problems.

We're currently leaning towards using floats as both javascript and the graphics sub system operates on floating point but we'll revisit this before committing to go down that path.

This bug is for tracking places where we might need to change how we do comparisons if we decide to go with floats.
Comment 3 Emil A Eklund 2011-11-01 17:04:47 PDT
No longer applicable as we decided to go with fixed point.